Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vordel.circuit
Class DelegatingFilterSynchronizer

    java.lang.Object
      com.vordel.circuit.DelegatingFilterSynchronizer

All Implemented Interfaces:
  ESChangeListener, java.beans.PropertyChangeListener, java.util.EventListener

    public class DelegatingFilterSynchronizer

extends java.lang.Object
implements ESChangeListener, java.beans.PropertyChangeListener

Constructor Summary
`DelegatingFilterSynchronizer(com.vordel.client.manager.ManagerEntityStore mes, DelegatingFilter ccf, com.vordel.client.manager.filter.DefaultGUIFilter ccgf)`

Method Summary
`void` | `childAdded(Entity entity)` A child Entity has been added to a parent Entity to which we are listening.
`void` | `childDeleted(ESPK parentPK, ESPK childPK)` A child Entity has been removed from a parent Entity to which we are listening.
`void` | `childUpdated(Entity entity)` A child Entity has been added to the parent Entity to which we are listening.
`void` | `entityDeleted(ESPK entityPK)` An Entity has been removed from the store.
`void` | `entityUpdated(Entity entity)` An Entity's contents has changed.
`void` | `propertyChange(java.beans.PropertyChangeEvent evt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegatingFilterSynchronizer

    public DelegatingFilterSynchronizer(com.vordel.client.manager.ManagerEntityStore mes,
                                        DelegatingFilter ccf,
                                        com.vordel.client.manager.filter.DefaultGUIFilter ccgf)

Method Detail

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent evt)

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`

### childAdded

    public void childAdded(Entity entity)

  Description copied from interface: `ESChangeListener`
  A child Entity has been added to a parent Entity to which we are listening. The exact parent can be identified from the child Entity itself.

  Specified by:
    `childAdded` in interface `ESChangeListener`
  Parameters:
    `entity` - The child entity in question

### childDeleted

    public void childDeleted(ESPK parentPK,
                             ESPK childPK)

  Description copied from interface: `ESChangeListener`
  A child Entity has been removed from a parent Entity to which we are listening.

  Specified by:
    `childDeleted` in interface `ESChangeListener`
  Parameters:
    `parentPK` - The parent identifier
    `childPK` - The deleted child identifier

### childUpdated

    public void childUpdated(Entity entity)

  Description copied from interface: `ESChangeListener`
  A child Entity has been added to the parent Entity to which we are listening.

  Specified by:
    `childUpdated` in interface `ESChangeListener`
  Parameters:
    `entity` - The child entity in question

### entityDeleted

    public void entityDeleted(ESPK entityPK)

  Description copied from interface: `ESChangeListener`
  An Entity has been removed from the store.

  Specified by:
    `entityDeleted` in interface `ESChangeListener`
  Parameters:
    `entityPK` - The PK of the deleted Entity

### entityUpdated

    public void entityUpdated(Entity entity)

  Description copied from interface: `ESChangeListener`
  An Entity's contents has changed.

  Specified by:
    `entityUpdated` in interface `ESChangeListener`
  Parameters:
    `entity` - The entity which changed

Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation and all its contents and graphics, copyright © 1999 - 2011 Vordel